/**
 * 
 */
package edu.odu.cs.zeil.AlgAE.Client.SourceViewer;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

/**
 * @author zeil
 *
 */
public class TestSourceFile extends TestCase {

	/**
	 * @param arg0
	 */
	public TestSourceFile(String arg0) {
		super(arg0);
	}
	
	public static void main( String[] args ) throws Exception {
		TestRunner.run( suite() );
	}

	public static Test suite() {
		return new TestSuite(TestSourceFile.class);
	}


	/**
	 * Test method for {@link edu.odu.cs.zeil.AlgAE.Client.SourceViewer.SourceFile#load()}.
	 */
	public void testLoadSelf() {
		edu.odu.cs.zeil.AlgAE.Client.SourceViewer.SourceFile file; 
		file  = new edu.odu.cs.zeil.AlgAE.Client.SourceViewer.SourceFile(getClass(), "TestSourceFile.java");
		String sourceCode = file.getContents();
		System.out.print (sourceCode);
		
		assertTrue (sourceCode.contains("testLoadSelf()"));
		assertTrue (sourceCode.startsWith("001: /**"));
		assertTrue (sourceCode.endsWith("// last line\n"));
		// Don't show this //! Show this instead
		assertFalse (sourceCode.contains("Don't show " + "this"));
		assertFalse (sourceCode.contains("!" + " "));
	}

}
// last line
