#ifndef ALGAECOLOR_H
#define ALGAECOLOR_H


class AlgAE;
class Visible;


struct AlgAEColor 
{
  unsigned char red;
  unsigned char green;
  unsigned char blue;

  static const AlgAEColor Black;
  static const AlgAEColor White;

  static const AlgAEColor Blue;
  static const AlgAEColor Cyan;
  static const AlgAEColor Green;
  static const AlgAEColor Magenta;
  static const AlgAEColor Red;
  static const AlgAEColor Yellow;

  static const AlgAEColor PaleBlue;
  static const AlgAEColor PaleCyan;
  static const AlgAEColor PaleGreen;
  static const AlgAEColor PaleMagenta;
  static const AlgAEColor PaleRed;
  static const AlgAEColor PaleYellow;

  static const AlgAEColor DarkGray;
  static const AlgAEColor MedGray;

private:
  static const AlgAEColor& forcedInit(const AlgAEColor& c);
  friend class AlgAE;
  friend class Visible;
};

#endif
