#ifndef CONFIG_STD
#define CONFIG_STD

//
//  AlgAE Configuration file
//    
//  Currently recognizes  g++, version 2.7.2 for Unix and 2.8.0 for GnuWin32
//  MS Visual C++, version 5.0
//


// Define this if the compiler does not support reassignment of iostream
// buffers via the function  rdbuf(streambuf&)
#undef __bad_rdbuf__


#ifdef __GNUG__
  /* Compiler is gcc/g++ */


#define MEM_INCL <mem.h>
#define USE_FORK


#elif defined(_MSC_VER)
/* compiler is Microsoft Visual C++ */

#define MEM_INCL <alloc.h>

#define MEMDC
#define __bad_rdbuf__
#define USE_WINSOCK


#else

#pragma warning "Possible configuration error: Compiler is not recognized."

#define MEM_INCL <mem.h>

#endif


#endif

